Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.list
Class AbstractLinkedList.Node

    java.lang.Object
      org.apache.commons.collections.list.AbstractLinkedList.Node

Enclosing class:
  AbstractLinkedList

    protected static class AbstractLinkedList.Node

extends java.lang.Object

A node within the linked list.

From Commons Collections 3.1, all access to the `value` property is via the methods on this class.

Field Summary
`protected AbstractLinkedList.Node` | `next` A pointer to the node after this node
`protected AbstractLinkedList.Node` | `previous` A pointer to the node before this node
`protected java.lang.Object` | `value` The object contained within this node

Constructor Summary
`protected` | `AbstractLinkedList.Node()` Constructs a new header node.
`protected` | `AbstractLinkedList.Node(AbstractLinkedList.Node previous, AbstractLinkedList.Node next, java.lang.Object value)` Constructs a new node.
`protected` | `AbstractLinkedList.Node(java.lang.Object value)` Constructs a new node.

Method Summary
`protected AbstractLinkedList.Node` | `getNextNode()` Gets the next node.
`protected AbstractLinkedList.Node` | `getPreviousNode()` Gets the previous node.
`protected java.lang.Object` | `getValue()` Gets the value of the node.
`protected void` | `setNextNode(AbstractLinkedList.Node next)` Sets the next node.
`protected void` | `setPreviousNode(AbstractLinkedList.Node previous)` Sets the previous node.
`protected void` | `setValue(java.lang.Object value)` Sets the value of the node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### previous

    protected AbstractLinkedList.Node previous

  A pointer to the node before this node

### next

    protected AbstractLinkedList.Node next

  A pointer to the node after this node

### value

    protected java.lang.Object value

  The object contained within this node

Constructor Detail

### AbstractLinkedList.Node

    protected AbstractLinkedList.Node()

  Constructs a new header node.

### AbstractLinkedList.Node

    protected AbstractLinkedList.Node(java.lang.Object value)

  Constructs a new node.

  Parameters:
    `value` - the value to store

### AbstractLinkedList.Node

    protected AbstractLinkedList.Node(AbstractLinkedList.Node previous,
                                      AbstractLinkedList.Node next,
                                      java.lang.Object value)

  Constructs a new node.

  Parameters:
    `previous` - the previous node in the list
    `next` - the next node in the list
    `value` - the value to store

Method Detail

### getValue

    protected java.lang.Object getValue()

  Gets the value of the node.

  Returns:
    the value
  Since:
    Commons Collections 3.1

### setValue

    protected void setValue(java.lang.Object value)

  Sets the value of the node.

  Parameters:
    `value` - the value
  Since:
    Commons Collections 3.1

### getPreviousNode

    protected AbstractLinkedList.Node getPreviousNode()

  Gets the previous node.

  Returns:
    the previous node
  Since:
    Commons Collections 3.1

### setPreviousNode

    protected void setPreviousNode(AbstractLinkedList.Node previous)

  Sets the previous node.

  Parameters:
    `previous` - the previous node
  Since:
    Commons Collections 3.1

### getNextNode

    protected AbstractLinkedList.Node getNextNode()

  Gets the next node.

  Returns:
    the next node
  Since:
    Commons Collections 3.1

### setNextNode

    protected void setNextNode(AbstractLinkedList.Node next)

  Sets the next node.

  Parameters:
    `next` - the next node
  Since:
    Commons Collections 3.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.